7.110. libsemanage

Updated libsemanage packages that fix two bugs are now available for Red Hat Enterprise Linux 6.
The libsemanage library provides an API for the manipulation of SELinux binary policies. It is used by the checkpolicy compiler and similar tools, as well as by programs such as load_policy, which must perform specific transformations on binary policie, such as customizing policy boolean settings.

Bug Fixes

BZ#591451
The libsemanage test suite previously failed when attempting to test the libsemanage library. With this update, an error in the underlying code has been corrected, which allows the libsemanage test suite to work as expected.
BZ#872700
Prior to this update, the semodule command failed with an error message when attempting to enable an already enabled module, or disable an already disabled module. This update adjusts the behavior of the command to succeed and not to produce error messages in the described scenarios.
Users of libsemanage are advised to upgrade to these updated packages, which fix these bugs.